Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PickListTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.PickListTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PickListTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`PickListTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setControlClass(javax.el.ValueExpression __controlClass)` CSS class for a list Setter for controlClass
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setCopyAllControlLabel(javax.el.ValueExpression __copyAllControlLabel)` Defines a label for a copyAll control Setter for copyAllControlLabel
`void` | `setCopyControlLabel(javax.el.ValueExpression __copyControlLabel)` Defines a label for a copy control Setter for copyControlLabel
`void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true", controls is disabled.
`void` | `setDisabledStyle(javax.el.ValueExpression __disabledStyle)` CSS style rules to be applied to disabled controls Setter for disabledStyle
`void` | `setDisabledStyleClass(javax.el.ValueExpression __disabledStyleClass)` The disabledStyleClass for disabled controls Setter for disabledStyleClass
`void` | `setEnabledStyle(javax.el.ValueExpression __enabledStyle)` CSS style rules to be applied to enabled controls Setter for enabledStyle
`void` | `setEnabledStyleClass(javax.el.ValueExpression __enabledStyleClass)` The enabledStyleClass for enabled controls Setter for enabledStyleClass
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setListClass(javax.el.ValueExpression __listClass)` CSS class for a list Setter for listClass
`void` | `setListsHeight(javax.el.ValueExpression __listsHeight)` Defines height of the list Setter for listsHeight
`void` | `setMoveControlsVerticalAlign(javax.el.ValueExpression __moveControlsVerticalAlign)` Customizes vertically a position of move/copy controls relatively to lists Setter for moveControlsVerticalAlign
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnlistchanged(javax.el.ValueExpression __onlistchanged)` A JavaScript event handler called on a list change operation Setter for onlistchanged
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRemoveAllControlLabel(javax.el.ValueExpression __removeAllControlLabel)` Defines a label for a removeAll control Setter for removeAllControlLabel
`void` | `setRemoveControlLabel(javax.el.ValueExpression __removeControlLabel)` Defines a label for a remove control Setter for removeControlLabel
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setShowButtonsLabel(javax.el.ValueExpression __showButtonsLabel)` Shows a label for a button Setter for showButtonsLabel
`void` | `setSize(javax.el.ValueExpression __size)` This attribute tells the user agent the initial width of the control.
`void` | `setSourceListWidth(javax.el.ValueExpression __sourceListWidth)` Defines width of a source list Setter for sourceListWidth
`void` | `setSwitchByClick(javax.el.ValueExpression __switchByClick)` If "true", dragging between lists realized by click Setter for switchByClick
`void` | `setTargetListWidth(javax.el.ValueExpression __targetListWidth)` Defines width of a target list Setter for targetListWidth
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The initial value to set when rendered for the first time Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### PickListTag

    public PickListTag()

Method Detail

### setControlClass

    public void setControlClass(javax.el.ValueExpression __controlClass)

  CSS class for a list Setter for controlClass

  Parameters:
    `controlClass` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setCopyAllControlLabel

    public void setCopyAllControlLabel(javax.el.ValueExpression __copyAllControlLabel)

  Defines a label for a copyAll control Setter for copyAllControlLabel

  Parameters:
    `copyAllControlLabel` - - new value

### setCopyControlLabel

    public void setCopyControlLabel(javax.el.ValueExpression __copyControlLabel)

  Defines a label for a copy control Setter for copyControlLabel

  Parameters:
    `copyControlLabel` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  If "true", controls is disabled. "false" is default Setter for disabled

  Parameters:
    `disabled` - - new value

### setDisabledStyle

    public void setDisabledStyle(javax.el.ValueExpression __disabledStyle)

  CSS style rules to be applied to disabled controls Setter for disabledStyle

  Parameters:
    `disabledStyle` - - new value

### setDisabledStyleClass

    public void setDisabledStyleClass(javax.el.ValueExpression __disabledStyleClass)

  The disabledStyleClass for disabled controls Setter for disabledStyleClass

  Parameters:
    `disabledStyleClass` - - new value

### setEnabledStyle

    public void setEnabledStyle(javax.el.ValueExpression __enabledStyle)

  CSS style rules to be applied to enabled controls Setter for enabledStyle

  Parameters:
    `enabledStyle` - - new value

### setEnabledStyleClass

    public void setEnabledStyleClass(javax.el.ValueExpression __enabledStyleClass)

  The enabledStyleClass for enabled controls Setter for enabledStyleClass

  Parameters:
    `enabledStyleClass` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setListClass

    public void setListClass(javax.el.ValueExpression __listClass)

  CSS class for a list Setter for listClass

  Parameters:
    `listClass` - - new value

### setListsHeight

    public void setListsHeight(javax.el.ValueExpression __listsHeight)

  Defines height of the list Setter for listsHeight

  Parameters:
    `listsHeight` - - new value

### setMoveControlsVerticalAlign

    public void setMoveControlsVerticalAlign(javax.el.ValueExpression __moveControlsVerticalAlign)

  Customizes vertically a position of move/copy controls relatively to lists Setter for moveControlsVerticalAlign

  Parameters:
    `moveControlsVerticalAlign` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnlistchanged

    public void setOnlistchanged(javax.el.ValueExpression __onlistchanged)

  A JavaScript event handler called on a list change operation Setter for onlistchanged

  Parameters:
    `onlistchanged` - - new value

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(javax.el.ValueExpression __removeAllControlLabel)

  Defines a label for a removeAll control Setter for removeAllControlLabel

  Parameters:
    `removeAllControlLabel` - - new value

### setRemoveControlLabel

    public void setRemoveControlLabel(javax.el.ValueExpression __removeControlLabel)

  Defines a label for a remove control Setter for removeControlLabel

  Parameters:
    `removeControlLabel` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setShowButtonsLabel

    public void setShowButtonsLabel(javax.el.ValueExpression __showButtonsLabel)

  Shows a label for a button Setter for showButtonsLabel

  Parameters:
    `showButtonsLabel` - - new value

### setSize

    public void setSize(javax.el.ValueExpression __size)

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Setter for size

  Parameters:
    `size` - - new value

### setSourceListWidth

    public void setSourceListWidth(javax.el.ValueExpression __sourceListWidth)

  Defines width of a source list Setter for sourceListWidth

  Parameters:
    `sourceListWidth` - - new value

### setSwitchByClick

    public void setSwitchByClick(javax.el.ValueExpression __switchByClick)

  If "true", dragging between lists realized by click Setter for switchByClick

  Parameters:
    `switchByClick` - - new value

### setTargetListWidth

    public void setTargetListWidth(javax.el.ValueExpression __targetListWidth)

  Defines width of a target list Setter for targetListWidth

  Parameters:
    `targetListWidth` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The initial value to set when rendered for the first time Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.